Problems with the version Rated 5 out of 5 stars

Works great, until the Mozilla version rapid increase.

This is how I fixed it ...

Downloaded the file bulgarian_dictionary-4.3-fx+tb+sm.xpi and opened it with an archiver.
Then chose and edited the file install.rdf
There is something like <em:maxVersion>X.Y</em:maxVersion> at few places and since I don't know the id of the TB or FF I changed the value X.Y to 9.0 at all places.
Then just installed manually the file from TB.
Works fine.